Increase ulimit on host to fix test 103-string-append with art-debug-gc.

Strace is turned on by default on the art-debug-gc configuration, and
was going over the file size limit for this test on host (x86).

Test: Run ART run-test 103-string-append on art-debug-gc configuration.
Change-Id: I5cf28f054468babcf4d9b614b8e64b365a5691c5
diff --git a/test/etc/run-test-jar b/test/etc/run-test-jar
index 161aa23..0ac5481 100755
--- a/test/etc/run-test-jar
+++ b/test/etc/run-test-jar
@@ -456,8 +456,9 @@
     FLAGS="$FLAGS -Xnorelocate"
     COMPILE_FLAGS="${COMPILE_FLAGS} --runtime-arg -Xnorelocate"
     if [ "$HOST" = "y" ]; then
-        # Increase ulimit to 64MB in case we are running hprof test.
-        ulimit -S 64000 || exit 1
+        # Increase ulimit to 128MB in case we are running hprof test,
+        # or string append test with art-debug-gc.
+        ulimit -S 128000 || exit 1
     fi
 fi